import { EndToEndTestSuite } from './end-to-end-test-suite.js';
import { type DeploymentName } from '../../src/types/index.js';
export declare class EndToEndTestSuiteBuilder {
    private testName;
    private testSuiteName;
    private namespace;
    private deployment;
    private clusterCount;
    private consensusNodesCount;
    private loadBalancerEnabled;
    private pinger;
    private realm;
    private shard;
    private serviceMonitor;
    private podLog;
    private minimalSetup;
    private collectDiagnosticLogs;
    private apiPermissionProperties;
    private applicationEnvironment;
    private applicationProperties;
    private bootstrapProperties;
    private logXml;
    private settingsTxt;
    private testSuiteCallback;
    withTestName(testName: string): this;
    withTestSuiteName(testSuiteName: string): this;
    withNamespace(namespace: string): this;
    withDeployment(deployment: DeploymentName): this;
    withClusterCount(clusterCount: number): this;
    withConsensusNodesCount(consensusNodesCount: number): this;
    withLoadBalancerEnabled(loadBalancerEnabled: boolean): this;
    withPinger(pinger: boolean): this;
    withRealm(realm: number): this;
    withShard(shard: number): this;
    withServiceMonitor(serviceMonitor: boolean): this;
    withPodLog(podLog: boolean): this;
    withMinimalSetup(minimalSetup: boolean): this;
    withTestSuiteCallback(testSuiteCallback: (endToEndTestSuite: EndToEndTestSuite) => void): this;
    withCollectDiagnosticLogs(collectDiagnosticLogs: boolean): this;
    withApiPermissionProperties(fileName: string): this;
    withApplicationEnvironment(fileName: string): this;
    withApplicationProperties(fileName: string): this;
    withBootstrapProperties(fileName: string): this;
    withLog4j2Xml(fileName: string): this;
    withSettingsTxt(fileName: string): this;
    build(): EndToEndTestSuite;
}
